Create and Screen a Customer synchronously

This endpoint initiates the 'create and screen' workflow for your customer in synchronous mode. The workflow consists of five steps:

  1. Customer Record Creation: The Customer Record is created in Mesh.
  2. Risk Scoring: An initial Risk Score is calculated for the Customer.
  3. Customer Screening: The Customer is screened using settings based on the Calculated Risk Score.
  4. Alerts: Alerts associated with the screened customer are generated based on the risk analysis.
  5. Case Creation: Create cases based on the result of customer screening and alerts, for an analyst to review. Each customer must have a unique customer external identifier specified as part of the request. This identifier is used to find the customer within Mesh and link back to your own internal systems. The customer can be one of: PERSON, COMPANY, `` or UNDEFINED and can optionally have multiple products. Following risk scoring, the customer will be screened using ComplyAdvantage's AML database. You can specify the screening profile used for initial screening and subsequent ongoing monitoring within the configuration object. The value for screening_profile_identifier can be found in the settings section of the Mesh application. The workflow executes synchronously up to customer screening, returning the workflow status. This end-point is currently idempotent: in case of downstream error you can re-send the exact same request, and the workflow will be retried. To screen an entity:
  • Exactly one of full_name or last_name must be provided (not both, not neither).
  • When using last_name: title, first_name, middle_name, last_name, fathers_name, mothers_name, and suffix are optional.
  • When using full_name: title, first_name, middle_name, last_name, fathers_name, mothers_name, and suffix must all be omitted. By default, the screen customer request is done synchronously only until the screening workflow step and returns hit/no hits in step_details.customer-screening.step_output.screening_result. last_sync_step query parameter can be set to ALERTING to additionally wait for the alerting workflow step. The advantage of this option is that alert identifiers are included in the response in step_details.alerting.step_output.alerts[].identifier. You need "Access to base customer screening functionality" enabled and the "Create and screen customers" permission to use this endpoint.
Query Params
string
Defaults to SCREENING
  • SCREENING (default): faster response, synchronous execution stops after screening; response only reflects hit/no-hit status — alert_identifiers will not be present in the response.
  • ALERTING: slower response, synchronous execution continues through the alerting step; required to receive alert_identifiers in the response. Remaining steps (case-creation) continue asynchronously after the response is returned.
Body Params
configuration
object

Represents monitoring and screening configurations.

customer
object
required

Customer to be created and screened. It can be either a person, a company, a vessel or undefined.

monitoring
object

Represents monitoring configuration.

product
array of objects | null

Represents a list of products. They can be either a bank account or a crypto wallet.

product
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json